• Русский
  • HCSMachine [infrastructure.cluster.x-k8s.io/v1beta1]

    Description
    HCSMachine is the Schema for the hcsmachines API.
    Type
    object
    Required
    spec

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    spec defines the desired state of HCSMachine

    statusobject

    status defines the observed state of HCSMachine

    .spec

    Description
    spec defines the desired state of HCSMachine
    Type
    object
    PropertyTypeDescription
    adminPasswordstring

    AdminPassword is the admin password for the instance.

    availabilityZonestring

    AvailabilityZone is the availability zone for the instance.

    configPoolRefobject

    ConfigPoolRef is a reference to the HCSMachineConfigPool resource that provides shared configuration for this machine.

    dataVolumesarray

    DataVolumes is a list of additional data volumes to attach to the instance.

    flavorNamestring

    FlavorName is the name of the HCS instance flavor/type.

    imageNamestring

    ImageName is the name of the image to use for the instance.

    jobIdstring
    keyPairNamestring

    KeyPairName is the name of the SSH key pair for instance access.

    providerIDstring

    ProviderID is the unique identifier as specified by the cloud provider.

    rootVolumeobject

    RootVolume is the root disk volume configuration.

    serverIdstring

    ServerId is the HCS ECS server instance ID.

    serverNamestring

    .spec.configPoolRef

    Description
    ConfigPoolRef is a reference to the HCSMachineConfigPool resource that provides shared configuration for this machine.
    Type
    object
    PropertyTypeDescription
    apiVersionstring

    API version of the referent.

    fieldPathstring

    If referring to a piece of an object instead of an entire object, this string should contain a valid JSON/Go field access statement, such as desiredState.manifest.containers[2]. For example, if the object reference is to a container within a pod, this would take on a value like: "spec.containers{name}" (where "name" refers to the name of the container that triggered the event) or if no container name is specified "spec.containers[2]" (container with index 2 in this pod). This syntax is chosen only to have some well-defined way of referencing a part of an object.

    kindstring

    Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    namestring

    Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

    namespacestring

    Namespace of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/

    resourceVersionstring

    Specific resourceVersion to which this reference is made, if any. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency

    uidstring

    UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#uids

    .spec.dataVolumes

    Description
    DataVolumes is a list of additional data volumes to attach to the instance.
    Type
    array

    .spec.dataVolumes[]

    Description
    Volume defines the disk volume configuration for HCS instances.
    Type
    object
    Required
    sizetype
    PropertyTypeDescription
    formatstring

    Format is the format of the volume.

    mountPathstring

    Path is the path to the volume.

    sizeinteger

    Size is the volume size in GB.

    typestring

    Type is the volume type (e.g., SSD, SAS, SATA).

    .spec.rootVolume

    Description
    RootVolume is the root disk volume configuration.
    Type
    object
    Required
    sizetype
    PropertyTypeDescription
    formatstring

    Format is the format of the volume.

    mountPathstring

    Path is the path to the volume.

    sizeinteger

    Size is the volume size in GB.

    typestring

    Type is the volume type (e.g., SSD, SAS, SATA).

    .status

    Description
    status defines the observed state of HCSMachine
    Type
    object
    PropertyTypeDescription
    addressesarray

    Addresses is the list of addresses assigned to the machine.

    conditionsarray

    Conditions defines current service state of the machine.

    failureMessagestring

    FailureMessage will be set in case of a terminal error.

    failureReasonstring

    FailureReason will be set in case of a terminal error.

    instanceStatestring

    InstanceState is the current state of the HCS instance (e.g., ACTIVE, BUILD, ERROR).

    readyboolean

    Ready indicates whether the machine infrastructure is ready.

    .status.addresses

    Description
    Addresses is the list of addresses assigned to the machine.
    Type
    array

    .status.addresses[]

    Description
    NodeAddress contains information for the node's address.
    Type
    object
    Required
    addresstype
    PropertyTypeDescription
    addressstring

    The node address.

    typestring

    Node address type, one of Hostname, ExternalIP or InternalIP.

    .status.conditions

    Description
    Conditions defines current service state of the machine.
    Type
    array

    .status.conditions[]

    Description
    Condition defines an observation of a Cluster API resource operational state.
    Type
    object
    Required
    lastTransitionTimestatustype
    PropertyTypeDescription
    lastTransitionTimestring

    lastTransitionTime is the last time the condition transitioned from one status to another. This should be when the underlying condition changed. If that is not known, then using the time when the API field changed is acceptable.

    messagestring

    message is a human readable message indicating details about the transition. This field may be empty.

    reasonstring

    reason is the reason for the condition's last transition in CamelCase. The specific API may choose whether or not this field is considered a guaranteed API. This field may be empty.

    severitystring

    severity provides an explicit classification of Reason code, so the users or machines can immediately understand the current situation and act accordingly. The Severity field MUST be set only when Status=False.

    statusstring

    status of the condition, one of True, False, Unknown.

    typestring

    type of condition in CamelCase or in foo.example.com/CamelCase. Many .condition.type values are consistent across resources like Available, but because arbitrary conditions can be useful (see .node.status.conditions), the ability to deconflict is important.

    API Endpoints

    The following API endpoints are available:

    • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/hcsmachines
      • DELETE: delete collection of HCSMachine
      • GET: list objects of kind HCSMachine
      • POST: create a new HCSMachine
    • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/hcsmachines/{name}
      • DELETE: delete the specified HCSMachine
      • GET: read the specified HCSMachine
      • PATCH: partially update the specified HCSMachine
      • PUT: replace the specified HCSMachine
    • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/hcsmachines/{name}/status
      • GET: read status of the specified HCSMachine
      • PATCH: partially update status of the specified HCSMachine
      • PUT: replace status of the specified HCSMachine

    /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/hcsmachines

    HTTP method
    DELETE
    Description
    delete collection of HCSMachine
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind HCSMachine
    HTTP responses
    HTTP codeResponse body
    200 - OKHCSMachineList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new HCSMachine
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyHCSMachine schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKHCSMachine schema
    201 - CreatedHCSMachine schema
    202 - AcceptedHCSMachine schema
    401 - UnauthorizedEmpty

    /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/hcsmachines/{name}

    HTTP method
    DELETE
    Description
    delete the specified HCSMachine
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified HCSMachine
    HTTP responses
    HTTP codeResponse body
    200 - OKHCSMachine schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified HCSMachine
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKHCSMachine schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified HCSMachine
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyHCSMachine schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKHCSMachine schema
    201 - CreatedHCSMachine schema
    401 - UnauthorizedEmpty

    /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/hcsmachines/{name}/status

    HTTP method
    GET
    Description
    read status of the specified HCSMachine
    HTTP responses
    HTTP codeResponse body
    200 - OKHCSMachine schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified HCSMachine
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKHCSMachine schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified HCSMachine
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyHCSMachine schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKHCSMachine schema
    201 - CreatedHCSMachine schema
    401 - UnauthorizedEmpty